<?php
/**
 * Configuration for Parameters
 * 
 * @author Elze Kool <info@visualmedia.nl>
 */

namespace VisualM\ManagementBundle\AdminList;


use VisualM\ManagementBundle\AdminList\Param\ParamProviderInterface;
use Exception;

/**
 * Configuration for Parameters
 *
 * @author Elze Kool <info@visualmedia.nl>
 */
class ParamConfiguration
{ 
    /**
     * ParamProviders
     * @var array 
     */
    protected $ParamProviders;
 
    /**
     * Constructor
     * 
     * @param array $ParamProviders ParamProviders
     */
    function __construct(array $ParamProviders = array())
    {
        foreach($ParamProviders as $ColumnConfig) {
            if (!($ColumnConfig instanceof ParamProviderInterface)) {
                throw new Exception("ParamProvider must be instance of ParamProviderInterface");
            }
        }        
        $this->ParamProviders = $ParamProviders;
    }

    /**
     * Get FilterProviders
     * 
     * @return array FilterProviders
     */
    public function getParamProviders()
    {
        return $this->ParamProviders;
    }


}